﻿
$ErrorActionPreference = 'Stop';

$softVersion = '3.9.0'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${softVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '793677803B14CB3DE0E6D4E4FD36B4A4D0CC3D81BBA388CC8D6D420042EA43A3'
  checksumType  = 'sha256'
  checksum64    = '1BFBD064EBEBC7FB8D65F16F9852F50854F82AF116FBF2DCE4239EC16214B012'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs

$target = Join-Path $programFiles "${packageName}-v${softVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath "${target}" 'User'

$DesktopPath = [Environment]::GetFolderPath("Desktop")
Install-ChocolateyShortcut -shortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${softVersion}.lnk" -targetPath "${target}/${packageName}.exe"
